
#ifndef ROOT_TLeafF
#define ROOT_TLeafF

//+SEQ,CopyRight,T=NOINCLUDE.

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TLeafF                                                               //
//                                                                      //
// A TLeaf for a 32 bit floating point data type.                       //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TLeaf
//*KEEP,TLeaf,T=C++.
#include "TLeaf.h"
//*KEND.
#endif

class TClonesArray;

class TLeafF : public TLeaf {

protected:
    Float_t       fMinimum;         //Minimum value if leaf range is specified
    Float_t       fMaximum;         //Maximum value if leaf range is specified
    Float_t       *fValue;          //!Pointer to data buffer

public:
    TLeafF();
    TLeafF(const Text_t *name, const Text_t *type);
    virtual ~TLeafF();

    virtual void    Export(TClonesArray *list, Int_t n);
    virtual void    FillBasket(TBuffer &b);
    const Text_t    *GetTypeName() const {return "Float_t";}
    Float_t         GetValue(Int_t i=0, TTreeFormula *f=0);
    virtual void   *GetValuePointer() {return fValue;}
    virtual void    Import(TClonesArray *list, Int_t n);
    virtual void    Print(Option_t *option="");
    virtual void    ReadBasket(TBuffer &b);
    virtual void    SetAddress(void *add=0);

    ClassDef(TLeafF,1)  //A TLeaf for a 32 bit floating point data type.
};

inline Float_t TLeafF::GetValue(Int_t i, TTreeFormula *) { return fValue[i]; }

#endif
